services:
    firmas:
        build:
            context: .
            dockerfile: Dockerfile
        image: 'firmas_omniswitch:1.0.0'
        restart: unless-stopped
        networks:
            coolify: null
            ysoswssw0os44wo00gwwg0sw: null
        expose:
            - '8080'
        healthcheck:
            test:
                - CMD
                - wget
                - '-qO-'
                - 'http://127.0.0.1:8080/'
            interval: 30s
            timeout: 5s
            retries: 3
            start_period: 10s
        labels:
            - traefik.enable=true
            - traefik.docker.network=coolify
            - traefik.http.routers.firmas-omniswitch.rule=Host(`firmax.da-tica.com`)
            - traefik.http.routers.firmas-omniswitch.entrypoints=https
            - traefik.http.routers.firmas-omniswitch.tls=true
            - traefik.http.routers.firmas-omniswitch.tls.certresolver=letsencrypt
            - traefik.http.services.firmas-omniswitch.loadbalancer.server.port=8080
            - traefik.http.routers.firmas-omniswitch-http.rule=Host(`firmax.da-tica.com`)
            - traefik.http.routers.firmas-omniswitch-http.entrypoints=http
            - traefik.http.routers.firmas-omniswitch-http.middlewares=firmas-redirect
            - traefik.http.middlewares.firmas-redirect.redirectscheme.scheme=https
            - traefik.http.middlewares.firmas-redirect.redirectscheme.permanent=true
            - coolify.managed=true
            - coolify.version=4.0.0-beta.462
            - coolify.applicationId=23
            - coolify.type=application
            - coolify.name=firmas-ysoswssw0os44wo00gwwg0sw-022841259431
            - coolify.resourceName=chris78reyfirmas-omniswitchmaster-ysoswssw0os44wo00gwwg0sw
            - coolify.projectName=firmador
            - coolify.serviceName=chris78reyfirmas-omniswitchmaster-ysoswssw0os44wo00gwwg0sw
            - coolify.environmentName=production
            - coolify.pullRequestId=0
        container_name: firmas-ysoswssw0os44wo00gwwg0sw-022841259431
        environment:
            COOLIFY_BRANCH: '"master"'
            COOLIFY_RESOURCE_UUID: ysoswssw0os44wo00gwwg0sw
            COOLIFY_CONTAINER_NAME: firmas-ysoswssw0os44wo00gwwg0sw-022841259431
            SERVICE_NAME_FIRMAS: firmas
        env_file:
            - .env
networks:
    coolify:
        external: true
    ysoswssw0os44wo00gwwg0sw:
        name: ysoswssw0os44wo00gwwg0sw
        external: true
